/*
 * <insert one-line description of what the program does>
 * Copyright (c) <2008-2009>, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 
File Name:          ConnMgmt.c

Description:

    This file implements ConnMgmt module

         This module has following functions.

         1. downlaod boot cert.
         
         2. update device status
 

Environment (opt):

    OS: metasys/mandriva

    SE: gcc

 

Notes (opt):

  =====================================================================

  Revision   Revision History                             Date

  =====================================================================
  1.1         porting from windows betaCan       20060814
  1.11       T_ConnMgmt_ALPHA                     20060913

  =====================================================================

 

****************************************************************************/

typedef struct DeviceInfo_T
{
	char IPAddress[200];
	char LocDns[200];
	char Wins[200];
	char Proxy[200];
	char StudentID[20];
	char HardwareID[20];
	char GateWay[200];
	int BootTick;
} DeviceInfo;

typedef struct OtherInfo_T {
	char StudentID[50];
	char CARoot[256];
	char Culture[50];
	char LastDate[50];
	char LastTimes[50];
} OtherInfo;

typedef struct PromptInfo_T {
	char PromptDays[20];
	char PromptTimes[20];
} PromptInfo;

typedef struct ServerInfo_T {
	char ServerAddress[50];
	char ProxyAddress[50];
	char ProxyUser[50];
	char ProxyPwd[50];
} ServerInfo;

/*Func in DeviceInfo Module*/
int DeviceInfo_Construct(DeviceInfo * pDeviceInfo);

int DeviceInfo_StudentID(unsigned char * bzData, char * cmd);

int OtherInfo_Construct(OtherInfo *pOtherInfo);

int ServerInfo_Construct(ServerInfo * pServerInfo);

/*int DeviceInfo_Construct(DeviceInfo_T *pDevInfo);

int OtherInfo_StudentID(char *pstid, char *cmd);
int OtherInfo_Culture(char *pculture, char *cmd);
int OtherInfo_LastDate(char *pld, char *cmd);
int OtherInfo_LastTimes(char *plt, char *cmd);
int OtherInfo_CARoot(char *pca, char *cmd);
int OtherInfo_Construct(OtherInfo_T *pOI);


int PromptInfo_PromptTimes(char *ptimes, char *cmd);
int PromptInfo_PromptDays(char *pdays, char *cmd);
int PromptInfo_Construct(PromptInfo_T *pPI);

int ProxyInfo_Construct(char *pPI);


int ServerInfo_ServerAddress(char *paddr, char *cmd);
int ServerInfo_ProxyAddress(char *paddr, char *cmd);
int ServerInfo_ProxyUser(char *puser, char *cmd);
int ServerInfo_ProxyPwd(char *ppwd, char *cmd);
int ServerInfo_Construct(ServerInfo_T *pSI);*/
